task export{
    String sample_id
    Array[File] results
    String docker
    String cluster_config
    String disk_size

    command <<<
		    mkdir -p /cromwell_root/tmp/cnvkit
		    cp -r ${sep=" " results} /cromwell_root/tmp/cnvkit
		    cd /cromwell_root/tmp/cnvkit
		    # this version app just provides seg
		    cnvkit.py export seg *.cns -o ${sample_id}.seg
    >>>
   
    runtime { 
		    docker: docker
		    cluster: cluster_config
		    systemDisk: "cloud_ssd 40"
		    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File seg = "${sample_id}.seg"
    }
}